<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/mensajeros.php"); 
   encabezado2($target); 
   class obtiene{
		  var $userObj;
		  function obtener($perfil){
					$this->userObj=new select_zonas();
				    $tabla=$this->userObj->get_tabla($_GET['suc']);
					$_SESSION['tabla_guia']=$tabla;
		  }
		  function arreglo($sql_consulta){
				$this->userObj=new select_zonas();
				$array=$this->userObj->get_array($sql_consulta);
				return $array;		
		  }
	}
	$eliminaObj=new obtiene();
	$eliminaObj->obtener(1);
	$tabla=$_SESSION['tabla_guia'];
$id=$_GET['id'];
$tipo=$_GET['tipo'];
$pagina='ACTUALIZAR MENSAJERO';
if($tipo==2 && !isset($Ejecutar)){
$read="readonly='readonly'";
$pagina='ELIMINAR MENSAJERO';
}
$sql_mensajeros="SELECT * FROM mensajeros WHERE id_mensajero ='$id'";
$array=$eliminaObj->arreglo($sql_mensajeros);
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="hidden" name="id" value="<? echo $id?>" class="inputbox" size="25">
<input type="text" name="nombre" value="<? echo $array[0][2]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
C.C:
</td>
<td width="150" class="miTable_td">
<input type="text" name="cc" value="<? echo $array[0][1]?>" class="inputbox" size="25" readonly="readonly">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Direccion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="dir" value="<? echo $array[0][3]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Telefono:</td>
<td width="150" class="miTable_td">
<input type="text" name="tel" value="<? echo $array[0][4]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Movil:
</td>
<td width="150" class="miTable_td">
<input type="text" name="mov" value="<? echo $array[0][5]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Ciudad:<? echo $array[0][10];?>
</td>
<td width="150" class="miTable_td">
<select name="ciu" class="inputbox">
<?
class zona_ciudad{
	var $userObj;
	//var $conexionObj2;
		function get_ciu($cod_ciudad){
		$this->userObj=new select_zonas();
		$this->userObj->option_ciudad($cod_ciudad);
	    }
}
$zona_ciudadObj=new zona_ciudad();
$zona_ciudadObj->get_ciu($array[0][10]);
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Tipo Transporte:
</td>
<td width="150" class="miTable_td">
<input type="text" name="tipo" value="<? echo $array[0][6]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Observaciones:
</td>
<td width="150" class="miTable_td">
<input type="text" name="observ" value="<? echo $array[0][7]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Estado:
</td>
<td width="150" class="miTable_td">
<select name="est" class="inputbox">
<option value="1" <? if($array[0][8]==1){ echo 'selected';}?>>Activo</option>
<option value="0" <? if($array[0][8]==0){ echo 'selected';}?>>Inactivo</option>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Sucursal:
</td>
<td width="150" class="miTable_td">
<select name="suc" class="inputbox">
<?
class sucursal{
	var $userObj;
	//var $conexionObj2;
		function get_sucursal($suc){
		$this->userObj=new select_zonas();
		$this->userObj->toma_sucursal($suc);
	    }
}
$sucursalObj=new sucursal();
$sucursalObj->get_sucursal($array[0][9]);
?>
</select>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?

if($tipo==1 && isset($Ejecutar)){

class ejecutaMensajero{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id,$cc,$nombre,$direccion,$tel,$movil,$ciudad,$tipo,$observ,$est,$suc){
			 $_SESSION['desc']=$desc;
	  		 $this->consultarObj=new mensajeros();
	  		 $this->consultarObj->setId($id);
			 $this->consultarObj->setNombre($nombre);
			 $this->consultarObj->setCc($cc);
			 $this->consultarObj->setDireccion($direccion);
			 $this->consultarObj->setTel($tel);
			 $this->consultarObj->setMov($movil);
			 $this->consultarObj->setCod_ciudad($ciudad);
			 $this->consultarObj->setTipo($tipo);
			 $this->consultarObj->setObserv($observ);
			 $this->consultarObj->setAct($est);
			 $this->consultarObj->setSuc($suc);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM mensajeros WHERE id_mensajero='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId();
				$nombre=$this->consultarObj->getNombre();
				$cc=$this->consultarObj->getCc();
				$direccion=$this->consultarObj->getDireccion();
				$tel=$this->consultarObj->getTel();
				$movil=$this->consultarObj->getMov();
				$ciudad=$this->consultarObj->getCod_ciudad();
				$tipo=$this->consultarObj->getTipo();
				$observ=$this->consultarObj->getObserv();
				$est=$this->consultarObj->getAct();
				$suc=$this->consultarObj->getSuc();
				$this->modificarMensajero($id,$cc,$nombre,$direccion,$tel,$movil,$ciudad,$tipo,$observ,$est,$suc);
			}else{
				$msgBOX2 = "No Se Encontro Mensajero.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarMensajero($id,$cc,$nombre,$direccion,$tel,$movil,$ciudad,$tipo,$observ,$est,$suc){
			$rst_modificar=$this->conexionObj->consultar("UPDATE mensajeros SET identificacion = '".$cc."', nombre = '".$nombre."', direccion = '".$direccion."', id_ciudad = '".$ciudad."', telefono = '".$tel."', movil = '".$movil."', tipo_transporte = '".$tipo."', observaciones = '".$observ."', estado = '".$est."', id_sucursal = '".$suc."' WHERE id_mensajero = ".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Mensajero.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Mensajero.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaMensajeroObj=new ejecutaMensajero();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaMensajeroObj->setConsultar($_POST['id'],$_POST['cc'],$_POST['nombre'],$_POST['dir'],$_POST['tel'],$_POST['mov'],$_POST['ciu'],$_POST['tipo'],$_POST['observ'],$_POST['est'],$_POST['suc']);
// LAMANDO EL METODO DE NEGOCIO
$ejecutaMensajeroObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){

class quitarMensajero{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id){
	  		 $this->consultarObj=new mensajeros();
	  		 $this->consultarObj->setId($id);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM mensajeros WHERE id_mensajero='".$this->consultarObj->getId()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId();
				$this->eliminarMensajero($id);
			}else{
				$msgBOX2 = "No Se Encontro Mensajero.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarMensajero($id){
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM mensajeros WHERE id_mensajero = ".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Elimino Mensajero.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Mensajero.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarMensajeroObj=new quitarMensajero();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarMensajeroObj->setConsultar($_POST['id']);
// LAMANDO EL METODO DE NEGOCIO
$quitarMensajeroObj->validar();
  
}
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
    echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
   echo"</tr>";
   echo"</tbody></table>";
   echo"</body>";
   echo"</html>";
?>